agents

## Class PseudoTree

- java.lang.Object
- - agents.PseudoTree

All Implemented Interfaces:
  java.io.Serializable

    public class PseudoTree
    extends java.lang.Object
    implements java.io.Serializable

The Class PseudoTree.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PseudoTree()` Instantiates a new pseudo tree.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `delete(Range r)` Delete.
`java.util.ArrayList<Range>` `getAll()` Gets the all.
`void` `insert(Range r)` Insert.
`void` `search(double d, java.util.ArrayList<Range> list)` Search.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PseudoTree

    public PseudoTree()

Instantiates a new pseudo tree.

### Method Detail

#### insert

    public void insert(Range r)

Insert.

Parameters:
  `r` - the r

#### delete

    public boolean delete(Range r)

Delete.

Parameters:
  `r` - the r
Returns:
  true, if successful

#### search

    public void search(double d,
                       java.util.ArrayList<Range> list)

Search.

Parameters:
  `d` - the d
  `list` - the list

#### getAll

    public java.util.ArrayList<Range> getAll()

Gets the all.

Returns:
  the all